Search Videos
curl --request POST \
--url https://api.example.com/index/{index_name}/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"query": "<string>",
"asset_ids": [
"<string>"
],
"top_k": 30,
"top_p": 0,
"modes": [
"video",
"image"
],
"use_masks": false,
"use_boxes": false,
"queue_job": false
}
'import requests
url = "https://api.example.com/index/{index_name}/search"
payload = {
"query": "<string>",
"asset_ids": ["<string>"],
"top_k": 30,
"top_p": 0,
"modes": ["video", "image"],
"use_masks": False,
"use_boxes": False,
"queue_job": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
asset_ids: ['<string>'],
top_k: 30,
top_p: 0,
modes: ['video', 'image'],
use_masks: false,
use_boxes: false,
queue_job: false
})
};
fetch('https://api.example.com/index/{index_name}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Search Videos
POST
/
index
/
{index_name}
/
search
Search Videos
Authorizations
Path Parameters
Body
application/json
The search query
Video IDs or Image IDs to include in search
Number of segments to return
Threshold for search
Modalities to search over
Whether to use masks or not.
Whether to use boxes or not.
Whether to queue the job
Response
Successful Response
⌘I

